// 2013 Winter MAT 259 Data Visualization
// Lab. SQL in Processing - connect mySQL into Processing
// by Yoon Chung Han


// To import SQL Library, please download it here
// (http://bezier.de/processing/libs/sql/)
// and move the SQLibrary folder into your libraries folder. 
// (Please follow the detailed instruction from the website)

import de.bezier.data.sql.*;

MySQL msql;
int[] coffeeByYear = new int[2012];
int[] teaByYear = new int[2012];
int numYears = 6;
String DL = ","; //the DELIMITER
PFont sideFont;
PFont yearFont;

void setup() {
  // Prep canvas
  size(1024,768);
  colorMode(HSB, 360, 100, 100);
  
  // Load fonts
  sideFont = createFont("HelveticaNeue", 80);
  yearFont = createFont("HelveticaNeue", 30);
  
  msql = new MySQL( this, "tango.mat.ucsb.edu", "spl0", "mat259", "V1sual1zat1on" ); //host, database, user, password
  if ( msql.connect() ) { 
    String query = "select year(cout) as 'Year', sum(case when (title like '%coffee%' or subj like '%coffee%') then 1 else 0 end) as 'Coffee Count', sum(case when (title like '% tea %' or title like '% tea' or title like 'tea %' or subj like '% tea %' or subj like '% tea' or subj like 'tea %') then 1 else 0 end) as 'Tea Count' from inraw where(title like '%coffee%' or subj like '%coffee%' or title like '% tea %' or title like '% tea' or title like 'tea %' or subj like '% tea %' or subj like '% tea' or subj like 'tea %') and year(cout) >= 2006 group by year(cout)order by year(cout) asc;";
    msql.query(query);
    //msql.next();
    while (msql.next ()) {
      println( msql.getString(1) + DL + msql.getString(2) + DL + msql.getString(3));
      coffeeByYear[msql.getInt(1)] = msql.getInt(2);
      teaByYear[msql.getInt(1)] = msql.getInt(3);
    }
  }
  else {
    println(" connection failed !");
  }
  //String[] fontList = PFont.list();
  //println(fontList);
}


