
int leftMargin = 10;
int rightMargin = 10;
int topMargin = 10;
int bottomMargin = 10;
int barSpacing = 10;
int barVerticalSpacing = 10;
float barWidth = 100;

void draw() {
  float barWidth = float(width-leftMargin-rightMargin-(numYears-1)*barSpacing)/numYears;
  background(37);
  textFont(yearFont);
  textAlign(CENTER, CENTER);
  noStroke();
  
  // Year labels
  for (int i=0; i < numYears; i++) {
    int year = 2006+i;
    float pos = barWidth*i + barSpacing*(i) + leftMargin;

    float coffeeHeight = float(coffeeByYear[year]) / (coffeeByYear[year]+teaByYear[year]) * (height-topMargin-bottomMargin-barVerticalSpacing);
    float teaHeight = float(teaByYear[year]) / (coffeeByYear[year]+teaByYear[year]) * (height-topMargin-bottomMargin-barVerticalSpacing);

    // Coffee bar
    float f = (coffeeHeight - teaHeight)*0.05;
    fill(18.8, 94.3, 30+f);
    rect(pos, topMargin, barWidth, coffeeHeight);
    
    // Tea bar
    fill(130.8, 94.3, 20-f);
    rect(pos, topMargin+coffeeHeight+barVerticalSpacing, barWidth, teaHeight);
    
    // Year labels
    fill(87, 56, 40);
    text(year, pos+barWidth/2.0, height-34);
  }
  
  float coffeeHeight = float(coffeeByYear[2006]) / (coffeeByYear[2006]+teaByYear[2006]) * (height-topMargin-bottomMargin-barVerticalSpacing);
  float teaHeight = float(teaByYear[2006]) / (coffeeByYear[2006]+teaByYear[2006]) * (height-topMargin-bottomMargin-barVerticalSpacing);

  textFont(sideFont);

  // Coffee label
  fill(22, 56, 40);
  pushMatrix();
  translate(barWidth/2.5 + leftMargin, coffeeHeight/2.0 + topMargin);
  rotate(-HALF_PI);
  text("Coffee", 0, 0);
  popMatrix();
  
  // Tea label
  fill(87, 56, 40);
  pushMatrix();
  translate(barWidth/2.5 + leftMargin, coffeeHeight + topMargin + teaHeight/2.0);
  rotate(-HALF_PI);
  text("Tea", 0, 0);
  popMatrix();
}

